

ul {

    position:absolute;
    top:18%;
    left:50%;
    transform:translate(-50%,-50%);
}
ul li {
    
    display:inline-block;
    transform-style:preserve-3d;
}
ul li a {
    font-size:15px;
    font-familY:arial;
    text-transform: uppercase;
    font-weight:bold;
    display:block;
    border: none;  cursor: pointer;
    position:relative;
}
ul li a span {
    display:block;
    padding:15px 20px;
}
ul li a span:before {
    content:attr(title);
    position:absolute;
    top:0;
    left:0;
    background:seagreen;
    color:rgb(255, 255, 255);
    padding:15px 20px;
    transform-style:preserve-3d;
    transition:.3s;
    transform:rotateX(90deg) translateY(50px);
    transform-origin:bottom;
}
ul li a span:hover:before {
    transform:rotateX(0deg) translateY(0px);
}
ul li a span:after {
    content:attr(title);
    position:absolute;
    top:0;
    left:0;
    background:  #ff3300
;

    color:black;
    padding:15px 20px;
    transform-style:preserve-3d;
    transition:.3s;
    transform:rotateX(0deg) translateY(0px);
    transform-origin:top;
}
ul li a span:hover:after {
    transform:rotateX(90deg) translateY(-10px);
}

